// themes - our custom or/and out of the box themes
@import 'themes';

// framework component themes (styles tied to theme variables)
@import '~@nebular/theme/styles/globals';
@import '~@nebular/auth/styles/all';

// global app font size
@import './font-size';

// loading progress bar theme
@import './pace.theme';

@import './bootstrap-rtl';

// install the framework and custom global styles
@include nb-install() {

  // framework global styles
  @include nb-theme-global();
  @include nb-auth-global();

  // loading progress bar
  @include ngx-pace-theme();

  // fixed in rc.9 and can be removed after upgrade
  .custom-control .custom-control-indicator {
    border-radius: 50%; // TODO: quickfix for https://github.com/akveo/nebular/issues/275
  }
  @include bootstrap-rtl();
};

@font-face {
  font-family: 'BYekan';
  src: url('../fonts/BYekan.ttf') format('truetype'),
  url('../fonts/BYekan.woff') format('woff');
  font-weight:normal !important;
}
@font-face {
  font-family: 'IRANSans';
  src: url('../fonts/IRANSans.ttf') format('truetype'),
  url('../fonts/IRANSans.woff') format('woff');
  font-weight:normal !important;
}

li.menu-item {
  text-align: right;
  direction: rtl;
}
.outline-none {
  outline:none !important;
}
